Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QGraphicsSceneWheelEvent Class Reference

The QGraphicsSceneWheelEvent class provides wheel events in the graphics view framework. More...

     #include <QGraphicsSceneWheelEvent>

Inherits: QGraphicsSceneEvent.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

## Public Functions

| ~QGraphicsSceneWheelEvent ()
Qt::MouseButtons | buttons () const
int | delta () const
Qt::KeyboardModifiers | modifiers () const
Qt::Orientation | orientation () const
QPointF | pos () const
QPointF | scenePos () const
QPoint | screenPos () const

- 1 public function inherited from QGraphicsSceneEvent
- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QGraphicsSceneWheelEvent class provides wheel events in the graphics view framework.

The QGraphicsSceneWheelEvent class provides wheel events in the graphics view framework.

QWheelEvents received by a QGraphicsView are translated into QGraphicsSceneWheelEvents; it translates the QWheelEvent::globalPos() into item, scene, and screen coordinates (pos(), scenePos(), and screenPos()).

See also QGraphicsSceneMouseEvent, QGraphicsSceneContextMenuEvent, QGraphicsSceneHoverEvent, and QWheelEvent.

## Member Function Documentation

### QGraphicsSceneWheelEvent::~QGraphicsSceneWheelEvent ()

Destroys the QGraphicsSceneWheelEvent.

### Qt::MouseButtons QGraphicsSceneWheelEvent::buttons () const

Returns the mouse buttons that were pressed when the wheel event occurred.

See also modifiers().

### int QGraphicsSceneWheelEvent::delta () const

Returns the distance that the wheel is rotated, in eighths (1/8s) of a degree. A positive value indicates that the wheel was rotated forwards away from the user; a negative value indicates that the wheel was rotated backwards toward the user.

Most mouse types work in steps of 15 degrees, in which case the delta value is a multiple of 120 (== 15 * 8).

### Qt::KeyboardModifiers QGraphicsSceneWheelEvent::modifiers () const

Returns the keyboard modifiers that were active when the wheel event occurred.

See also buttons().

### Qt::Orientation QGraphicsSceneWheelEvent::orientation () const

Returns the wheel orientation.

### QPointF QGraphicsSceneWheelEvent::pos () const

Returns the position of the cursor in item coordinates when the wheel event occurred.

See also scenePos() and screenPos().

### QPointF QGraphicsSceneWheelEvent::scenePos () const

Returns the position of the cursor in scene coordinates when the wheel event occurred.

See also pos() and screenPos().

### QPoint QGraphicsSceneWheelEvent::screenPos () const

Returns the position of the cursor in screen coordinates when the wheel event occurred.

See also pos() and scenePos().